"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  components: {},
  data() {
    return {
      candidates1: [
        "河北省",
        "山西省",
        "辽宁省",
        "吉林省",
        "江苏省",
        "安徽省",
        "黑龙江省",
        "浙江省",
        "福建省",
        "江西省",
        "山东省",
        "河南省",
        "湖北省",
        "湖南省",
        "广东省",
        "海南省",
        "贵州省",
        "四川省",
        "云南省",
        "陕西省",
        "甘肃省",
        "青海省",
        "台湾省",
        "内蒙古自治区",
        "广西壮族自治区",
        "西藏自治区",
        "宁夏回族自治区",
        "新疆维吾尔自治区",
        "北京市",
        "天津市",
        "上海市",
        "重庆市",
        "香港特别行政区",
        "澳门特别行政区"
      ],
      candidates2: [
        "石家庄市",
        "唐山市",
        "秦皇岛市",
        "邯郸市",
        "邢台市",
        "保定市",
        "张家口市",
        "承德市",
        "沧州市",
        "廊坊市",
        "衡水市",
        "辛集市",
        "定州市"
      ],
      candidates3: [
        "长安区",
        "桥西区",
        "新华区",
        "裕华区",
        "井陉矿区",
        "藁城区",
        "鹿泉区",
        "栾城区"
      ]
    };
  }
};
if (!Array) {
  const _easycom_uni_combox2 = common_vendor.resolveComponent("uni-combox");
  _easycom_uni_combox2();
}
const _easycom_uni_combox = () => "../../uni_modules/uni-combox/components/uni-combox/uni-combox.js";
if (!Math) {
  _easycom_uni_combox();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.p({
      border: false,
      candidates: $data.candidates1,
      placeholder: "请选择省份"
    }),
    b: common_vendor.p({
      border: false,
      candidates: $data.candidates2,
      placeholder: "请选择城市"
    }),
    c: common_vendor.p({
      border: false,
      candidates: $data.candidates3,
      placeholder: "请选择区县"
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "D:/111111000000/uniapp04/pages/address/address.vue"]]);
my.createPage(MiniProgramPage);
